package com.microservices.dss.makerspace.domain;


import java.math.BigDecimal;
import java.util.Date;

public class Tasks {
    private Integer id;

    private String name;

    private BigDecimal bounty;

    private String number;

    private Boolean published;

    private Integer visits;

    private Date expiredAt;

    private Date publishedAt;

    private Integer publishMode;

    private Integer collectionMode;

    private Integer showUserMode;

    private Integer status;

    private Integer papersCount;

    private Integer taskModeId;

    private Date createdAt;

    private Date updatedAt;

    private Integer categoryId;

    private Integer userId;

    private String enterpriseName;

    private String contactName;

    private String contactPhone;

    private Boolean showUserStatus;

    private Integer agreementSigning;

    private Boolean isDelete;

    private String ip;

    private Date paidAt;

    private Date makePublicAt;

    private Integer collectingDays;

    private Integer choosingDays;

    private Integer makePublicDays;

    private Integer signingDays;

    private Integer payingDays;

    private Boolean exceptClosedBoolean;

    private Boolean isProofBoolean;

    private Integer cancelStatus;

    private Integer isSigningUpload;

    private Boolean isPayingUpload;

    private Date uploadProofAt;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public BigDecimal getBounty() {
        return bounty;
    }

    public void setBounty(BigDecimal bounty) {
        this.bounty = bounty;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number == null ? null : number.trim();
    }

    public Boolean getPublished() {
        return published;
    }

    public void setPublished(Boolean published) {
        this.published = published;
    }

    public Integer getVisits() {
        return visits;
    }

    public void setVisits(Integer visits) {
        this.visits = visits;
    }

    public Date getExpiredAt() {
        return expiredAt;
    }

    public void setExpiredAt(Date expiredAt) {
        this.expiredAt = expiredAt;
    }

    public Date getPublishedAt() {
        return publishedAt;
    }

    public void setPublishedAt(Date publishedAt) {
        this.publishedAt = publishedAt;
    }

    public Integer getPublishMode() {
        return publishMode;
    }

    public void setPublishMode(Integer publishMode) {
        this.publishMode = publishMode;
    }

    public Integer getCollectionMode() {
        return collectionMode;
    }

    public void setCollectionMode(Integer collectionMode) {
        this.collectionMode = collectionMode;
    }

    public Integer getShowUserMode() {
        return showUserMode;
    }

    public void setShowUserMode(Integer showUserMode) {
        this.showUserMode = showUserMode;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getPapersCount() {
        return papersCount;
    }

    public void setPapersCount(Integer papersCount) {
        this.papersCount = papersCount;
    }

    public Integer getTaskModeId() {
        return taskModeId;
    }

    public void setTaskModeId(Integer taskModeId) {
        this.taskModeId = taskModeId;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Integer getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Integer categoryId) {
        this.categoryId = categoryId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName == null ? null : enterpriseName.trim();
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName == null ? null : contactName.trim();
    }

    public String getContactPhone() {
        return contactPhone;
    }

    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone == null ? null : contactPhone.trim();
    }

    public Boolean getShowUserStatus() {
        return showUserStatus;
    }

    public void setShowUserStatus(Boolean showUserStatus) {
        this.showUserStatus = showUserStatus;
    }

    public Integer getAgreementSigning() {
        return agreementSigning;
    }

    public void setAgreementSigning(Integer agreementSigning) {
        this.agreementSigning = agreementSigning;
    }

    public Boolean getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Boolean isDelete) {
        this.isDelete = isDelete;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip == null ? null : ip.trim();
    }

    public Date getPaidAt() {
        return paidAt;
    }

    public void setPaidAt(Date paidAt) {
        this.paidAt = paidAt;
    }

    public Date getMakePublicAt() {
        return makePublicAt;
    }

    public void setMakePublicAt(Date makePublicAt) {
        this.makePublicAt = makePublicAt;
    }

    public Integer getCollectingDays() {
        return collectingDays;
    }

    public void setCollectingDays(Integer collectingDays) {
        this.collectingDays = collectingDays;
    }

    public Integer getChoosingDays() {
        return choosingDays;
    }

    public void setChoosingDays(Integer choosingDays) {
        this.choosingDays = choosingDays;
    }

    public Integer getMakePublicDays() {
        return makePublicDays;
    }

    public void setMakePublicDays(Integer makePublicDays) {
        this.makePublicDays = makePublicDays;
    }

    public Integer getSigningDays() {
        return signingDays;
    }

    public void setSigningDays(Integer signingDays) {
        this.signingDays = signingDays;
    }

    public Integer getPayingDays() {
        return payingDays;
    }

    public void setPayingDays(Integer payingDays) {
        this.payingDays = payingDays;
    }

    public Boolean getExceptClosedBoolean() {
        return exceptClosedBoolean;
    }

    public void setExceptClosedBoolean(Boolean exceptClosedBoolean) {
        this.exceptClosedBoolean = exceptClosedBoolean;
    }

    public Boolean getIsProofBoolean() {
        return isProofBoolean;
    }

    public void setIsProofBoolean(Boolean isProofBoolean) {
        this.isProofBoolean = isProofBoolean;
    }

    public Integer getCancelStatus() {
        return cancelStatus;
    }

    public void setCancelStatus(Integer cancelStatus) {
        this.cancelStatus = cancelStatus;
    }

    public Integer getIsSigningUpload() {
        return isSigningUpload;
    }

    public void setIsSigningUpload(Integer isSigningUpload) {
        this.isSigningUpload = isSigningUpload;
    }

    public Boolean getIsPayingUpload() {
        return isPayingUpload;
    }

    public void setIsPayingUpload(Boolean isPayingUpload) {
        this.isPayingUpload = isPayingUpload;
    }

    public Date getUploadProofAt() {
        return uploadProofAt;
    }

    public void setUploadProofAt(Date uploadProofAt) {
        this.uploadProofAt = uploadProofAt;
    }
}